@import url('https://fonts.googleapis.com/css2?family=Funnel+Sans:ital,wght@0,300..800;1,300..800&display=swap');

:root {
    --bg-dark: #2F3738;
    --bg: #344143;
    --bg-light: #289faf;

    --text-1: rgb(255, 255, 255);
    --text-2: #92dae3;
    --text-3: #dcdcdc;
    --text-4: #e4e4e4;
    --disabled: #adadad;
}

* {
    margin: 0;
    color: var(--text-1);

    font-family: "Funnel Sans", sans-serif;
}

a {
    color: var(--text-2);
}

body {
    background-color: var(--bg-dark);
}

.login-container {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-form {
    background-color: var(--bg);
    width: 70%;
    max-width: 20em;
    padding: 1em;
    border-radius: .75vh;

    display: flex;
    flex-direction: column;
    align-items: center;
    border: solid 2px var(--bg-light);
}

.login-form img {
    height: 15vh;
    margin-top: 2vh;
}

.login-form h4 {
    margin-top: .5vh;
    margin-bottom: 2vh;
    text-align: center;
}

input, select {
    width: 80%;
    padding: .25em 1em .25em 1em;
    border-radius: .75vh;
    background-color: var(--bg-dark);
    outline: none;
    border: none;
    margin-top: .5vh;
    margin-bottom: 1.5vh;
    font-size: clamp(.7rem, 5vw, 1.25rem);
}

label {
    text-align: left;
    width: calc(80% + 1em);
    font-size: clamp(.7rem, 4.5vw, 1.25rem);
}

.login-form button {
    margin-top: 2vh;
    width: calc(80% + 1em);
}

button {
    border: none;
    outline: none;
    background-color: var(--bg-light);
    padding: 1em 2em 1em 2em;
    border-radius: 15px .4vh 15px .4vh;
    box-shadow: inset 0px 0px 12px 2px var(--bg);
    cursor: pointer;

    transition: background-color 100ms linear;
}

button:disabled {
    background-color: var(--disabled);
    padding: 1em 2em 1em 2em;
    border-radius: 15px .4vh 15px .4vh;
    box-shadow: inset 0px 0px 12px 2px var(--disabled);
    cursor: pointer;
}